/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */
package org.gillius.realdb.benchmark;

import org.junit.*;

import static org.junit.Assert.*;

/**
 * TestDiskstatsSample tests the {@link DiskstatsSample} class.
 *
 * @author Jason Winnebeck
 */
public class TestDiskstatsSample {
	public static final String realData =
			"    1496     7819  1016686    16572       70        9      422     1492        0     7016    18064";

	public static final String a =
			" 1 2 3 4 5 6 7 8 9 10 11";
	public static final String aPlusOne =
			" 2 3 4 5 6 7 8 9 10 11 12";

	@Test
	public void testParse() {
		DiskstatsSample sample = new DiskstatsSample( realData );

		assertEquals( 1496, sample.getReadsCompleted() );
		assertEquals( 7016, sample.getTotalIOMillis() );
	}

	@Test
	public void testDelta() {
		DiskstatsSample before = new DiskstatsSample( a );
		DiskstatsSample after = new DiskstatsSample( aPlusOne );

		DiskstatsSample delta = before.deltaTo( after );

		assertEquals( 1, delta.getReadsCompleted() );
		assertEquals( 1, delta.getSectorsWritten() );
	}
}
