/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */
package org.gillius.realdb.benchmark;

import org.junit.*;

import static org.junit.Assert.*;

/**
 * TestLinuxProcInfo tests the {@link LinuxProcInfo} class.
 *
 * @author Jason Winnebeck
 */
public class TestLinuxProcInfo {
	public static final String realData =
			"16351 (java) S 2849 16351 2849 34818 16351 4202496 286466 46930 30 36 160787 25071 104 82 " +
			"20 0 19 0 17139546 1266507776 32646 4294967295 134512640 134550932 0 0 0 0 0 0 16800975 " +
			"4294967295 0 0 17 0 0 0 0 0 0";

	@Test
	public void testParse() {
		LinuxProcInfo procInfo = new LinuxProcInfo( realData );

		assertEquals( 16351, procInfo.getProcessId() );

		assertEquals( 160787, procInfo.getUserMode() );
		assertEquals( 25071, procInfo.getKernelMode() );
		assertEquals( 104, procInfo.getChildrenUserMode() );
		assertEquals( 82, procInfo.getChildrenKernelMode() );
	}
}
