/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */
package Experiments;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * MyISAMTest
 *
 * @author Jason Winnebeck
 */
public class MyISAMTest {
	public static void main( String[] args ) throws SQLException {
		try {
			Class.forName( "com.mysql.jdbc.Driver" ).newInstance();
		} catch ( Exception ex ) {
			// handle the error
		}

		Connection conn = DriverManager.getConnection( "jdbc:mysql://localhost/test", "root", "jason" );

		Statement stmt = conn.createStatement();

		stmt.executeUpdate( "DROP TABLE IF EXISTS Cycle" );

		stmt.executeUpdate(
				"CREATE TABLE Cycle (" +
	      "  pk INTEGER NOT NULL," +
	      "  data FLOAT NOT NULL," +
	      "  PRIMARY KEY( pk ) )" );

		stmt.close();

		PreparedStatement ins = conn.prepareStatement( "INSERT INTO Cycle VALUES ( ?, ? )" );
		PreparedStatement del = conn.prepareStatement( "DELETE FROM Cycle WHERE pk = ?" );

		int start = 0;
		int end = start;
		for ( ; end < 1000; ++end ) {
			insertRow( ins, end );
		}

		for ( int i = 0; i < 1000; ++i ) {
			System.out.println( start + "-" + end );
			insertRow( ins, end );
			del.setInt( 1, start );
			del.executeUpdate();

			++start;
			++end;
		}

		conn.close();
	}

	private static void insertRow( PreparedStatement ins, int row ) throws SQLException {
		ins.setInt( 1, row );
		ins.setFloat( 2, (float) Math.random() );
		ins.executeUpdate();
	}
}
