/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */
package org.gillius.realdb.io;

import org.gillius.realdb.model.data.Record;

import java.io.DataInput;
import java.io.IOException;

/**
 * RecordReader as an object that can read Records from a DataInput.
 *
 * @author Jason Winnebeck
 */
public interface RecordReader {
	/**
	 * Returns the number of bytes of the written record that will be read when calling a read method.
	 */
	int getWrittenSize();

	/**
	 * Read back the record as it was written.
	 */
	public Record readRecord( DataInput in ) throws IOException;
}
