/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */
package org.gillius.realdb.io;

import org.gillius.realdb.model.data.Record;

import java.io.DataOutput;
import java.io.IOException;

/**
 * RecordReader is an object that can write Records to a DataOutput.
 *
 * @author Jason Winnebeck
 */
public interface RecordWriter {
	/**
	 * Returns the number of bytes that will be written by {@link #writeRecord(Record, DataOutput)}.
	 */
	int getWrittenSize();

	/**
	 * Writes the record to the given DataOutput. The first 8 bytes written must be the timestamp, as
	 * if the first call to "out" is out.writeLong( r.getTime() ).
	 */
	public void writeRecord( Record r, DataOutput out ) throws IOException;
}
