/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */

// $ANTLR 3.2 Sep 23, 2009 12:02:23 C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g 2010-02-22 22:43:33

package org.gillius.realdb.io.rdl;


import org.antlr.runtime.BaseRecognizer;
import org.antlr.runtime.CharStream;
import org.antlr.runtime.DFA;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.Lexer;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.RecognizerSharedState;

public class RDBDefinitionLexer extends Lexer {
    public static final int INTEGER=16;
    public static final int SINT16=21;
    public static final int UINT8=24;
    public static final int LINE_COMMENT=39;
    public static final int LETTER=32;
    public static final int WITHCODEC=18;
    public static final int NULL=17;
    public static final int NUMBER=30;
    public static final int WHITESPACE=35;
    public static final int OPEN_PAREN=8;
    public static final int SET=11;
    public static final int FLOAT=27;
    public static final int IDPUNC=34;
    public static final int ID=37;
    public static final int EOF=-1;
    public static final int SINT8=20;
    public static final int QUOTE=5;
    public static final int CREATE=13;
    public static final int SINT64=23;
    public static final int BOOLEAN=29;
    public static final int CODEC=38;
    public static final int COMMA=10;
    public static final int IDENTIFIER=12;
    public static final int OPEN_BLOCK=6;
    public static final int UINT16=25;
    public static final int DOUBLE=28;
    public static final int QUOTED_STRING=31;
    public static final int CLOSE_PAREN=9;
    public static final int UINT32=26;
    public static final int DIGIT=33;
    public static final int EQ=4;
    public static final int STREAM=14;
    public static final int SINT32=22;
    public static final int WITHID=15;
    public static final int CLOSE_BLOCK=7;
    public static final int WITH=36;
    public static final int PARAMS=19;

    // delegates
    // delegators

    public RDBDefinitionLexer() {;}
    public RDBDefinitionLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public RDBDefinitionLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);

    }
    public String getGrammarFileName() { return "C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g"; }

    // $ANTLR start "EQ"
    public final void mEQ() throws RecognitionException {
        try {
            int _type = EQ;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:7:4: ( '=' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:7:6: '='
            {
            match('=');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "EQ"

    // $ANTLR start "QUOTE"
    public final void mQUOTE() throws RecognitionException {
        try {
            int _type = QUOTE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:8:7: ( '\"' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:8:9: '\"'
            {
            match('\"');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "QUOTE"

    // $ANTLR start "OPEN_BLOCK"
    public final void mOPEN_BLOCK() throws RecognitionException {
        try {
            int _type = OPEN_BLOCK;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:9:12: ( '{' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:9:14: '{'
            {
            match('{');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OPEN_BLOCK"

    // $ANTLR start "CLOSE_BLOCK"
    public final void mCLOSE_BLOCK() throws RecognitionException {
        try {
            int _type = CLOSE_BLOCK;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:10:13: ( '}' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:10:15: '}'
            {
            match('}');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "CLOSE_BLOCK"

    // $ANTLR start "OPEN_PAREN"
    public final void mOPEN_PAREN() throws RecognitionException {
        try {
            int _type = OPEN_PAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:11:12: ( '(' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:11:14: '('
            {
            match('(');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "OPEN_PAREN"

    // $ANTLR start "CLOSE_PAREN"
    public final void mCLOSE_PAREN() throws RecognitionException {
        try {
            int _type = CLOSE_PAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:12:13: ( ')' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:12:15: ')'
            {
            match(')');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "CLOSE_PAREN"

    // $ANTLR start "COMMA"
    public final void mCOMMA() throws RecognitionException {
        try {
            int _type = COMMA;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:13:7: ( ',' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:13:9: ','
            {
            match(',');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "COMMA"

    // $ANTLR start "SET"
    public final void mSET() throws RecognitionException {
        try {
            int _type = SET;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:64:5: ( ( 's' | 'S' ) ( 'e' | 'E' ) ( 't' | 'T' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:64:7: ( 's' | 'S' ) ( 'e' | 'E' ) ( 't' | 'T' )
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SET"

    // $ANTLR start "CREATE"
    public final void mCREATE() throws RecognitionException {
        try {
            int _type = CREATE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:65:8: ( ( 'c' | 'C' ) ( 'r' | 'R' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 't' | 'T' ) ( 'e' | 'E' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:65:10: ( 'c' | 'C' ) ( 'r' | 'R' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 't' | 'T' ) ( 'e' | 'E' )
            {
            if ( input.LA(1)=='C'||input.LA(1)=='c' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='R'||input.LA(1)=='r' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "CREATE"

    // $ANTLR start "NULL"
    public final void mNULL() throws RecognitionException {
        try {
            int _type = NULL;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:66:6: ( ( 'n' | 'N' ) ( 'u' | 'U' ) ( 'l' | 'L' ) ( 'l' | 'L' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:66:8: ( 'n' | 'N' ) ( 'u' | 'U' ) ( 'l' | 'L' ) ( 'l' | 'L' )
            {
            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='U'||input.LA(1)=='u' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='L'||input.LA(1)=='l' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='L'||input.LA(1)=='l' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NULL"

    // $ANTLR start "STREAM"
    public final void mSTREAM() throws RecognitionException {
        try {
            int _type = STREAM;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:67:8: ( ( 's' | 'S' ) ( 't' | 'T' ) ( 'r' | 'R' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 'm' | 'M' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:67:10: ( 's' | 'S' ) ( 't' | 'T' ) ( 'r' | 'R' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 'm' | 'M' )
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='R'||input.LA(1)=='r' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='M'||input.LA(1)=='m' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "STREAM"

    // $ANTLR start "PARAMS"
    public final void mPARAMS() throws RecognitionException {
        try {
            int _type = PARAMS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:68:8: ( ( 'p' | 'P' ) ( 'a' | 'A' ) ( 'r' | 'R' ) ( 'a' | 'A' ) ( 'm' | 'M' ) ( 's' | 'S' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:68:10: ( 'p' | 'P' ) ( 'a' | 'A' ) ( 'r' | 'R' ) ( 'a' | 'A' ) ( 'm' | 'M' ) ( 's' | 'S' )
            {
            if ( input.LA(1)=='P'||input.LA(1)=='p' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='R'||input.LA(1)=='r' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='M'||input.LA(1)=='m' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "PARAMS"

    // $ANTLR start "SINT8"
    public final void mSINT8() throws RecognitionException {
        try {
            int _type = SINT8;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:71:7: ( ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '8' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:71:9: ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '8'
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('8');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SINT8"

    // $ANTLR start "SINT16"
    public final void mSINT16() throws RecognitionException {
        try {
            int _type = SINT16;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:72:8: ( ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '1' '6' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:72:10: ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '1' '6'
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('1');
            match('6');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SINT16"

    // $ANTLR start "SINT32"
    public final void mSINT32() throws RecognitionException {
        try {
            int _type = SINT32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:73:8: ( ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '3' '2' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:73:10: ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '3' '2'
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('3');
            match('2');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SINT32"

    // $ANTLR start "SINT64"
    public final void mSINT64() throws RecognitionException {
        try {
            int _type = SINT64;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:74:8: ( ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '6' '4' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:74:10: ( 's' | 'S' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '6' '4'
            {
            if ( input.LA(1)=='S'||input.LA(1)=='s' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('6');
            match('4');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "SINT64"

    // $ANTLR start "UINT8"
    public final void mUINT8() throws RecognitionException {
        try {
            int _type = UINT8;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:75:7: ( ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '8' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:75:9: ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '8'
            {
            if ( input.LA(1)=='U'||input.LA(1)=='u' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('8');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "UINT8"

    // $ANTLR start "UINT16"
    public final void mUINT16() throws RecognitionException {
        try {
            int _type = UINT16;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:76:8: ( ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '1' '6' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:76:10: ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '1' '6'
            {
            if ( input.LA(1)=='U'||input.LA(1)=='u' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('1');
            match('6');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "UINT16"

    // $ANTLR start "UINT32"
    public final void mUINT32() throws RecognitionException {
        try {
            int _type = UINT32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:77:8: ( ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '3' '2' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:77:10: ( 'u' | 'U' ) ( 'i' | 'I' ) ( 'n' | 'N' ) ( 't' | 'T' ) '3' '2'
            {
            if ( input.LA(1)=='U'||input.LA(1)=='u' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            match('3');
            match('2');

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "UINT32"

    // $ANTLR start "FLOAT"
    public final void mFLOAT() throws RecognitionException {
        try {
            int _type = FLOAT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:78:7: ( ( 'f' | 'F' ) ( 'l' | 'L' ) ( 'o' | 'O' ) ( 'a' | 'A' ) ( 't' | 'T' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:78:9: ( 'f' | 'F' ) ( 'l' | 'L' ) ( 'o' | 'O' ) ( 'a' | 'A' ) ( 't' | 'T' )
            {
            if ( input.LA(1)=='F'||input.LA(1)=='f' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='L'||input.LA(1)=='l' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='O'||input.LA(1)=='o' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "FLOAT"

    // $ANTLR start "DOUBLE"
    public final void mDOUBLE() throws RecognitionException {
        try {
            int _type = DOUBLE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:79:8: ( ( 'd' | 'D' ) ( 'o' | 'O' ) ( 'u' | 'U' ) ( 'b' | 'B' ) ( 'l' | 'L' ) ( 'e' | 'E' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:79:10: ( 'd' | 'D' ) ( 'o' | 'O' ) ( 'u' | 'U' ) ( 'b' | 'B' ) ( 'l' | 'L' ) ( 'e' | 'E' )
            {
            if ( input.LA(1)=='D'||input.LA(1)=='d' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='O'||input.LA(1)=='o' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='U'||input.LA(1)=='u' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='B'||input.LA(1)=='b' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='L'||input.LA(1)=='l' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "DOUBLE"

    // $ANTLR start "BOOLEAN"
    public final void mBOOLEAN() throws RecognitionException {
        try {
            int _type = BOOLEAN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:80:9: ( ( 'b' | 'B' ) ( 'o' | 'O' ) ( 'o' | 'O' ) ( 'l' | 'L' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 'n' | 'N' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:80:11: ( 'b' | 'B' ) ( 'o' | 'O' ) ( 'o' | 'O' ) ( 'l' | 'L' ) ( 'e' | 'E' ) ( 'a' | 'A' ) ( 'n' | 'N' )
            {
            if ( input.LA(1)=='B'||input.LA(1)=='b' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='O'||input.LA(1)=='o' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='O'||input.LA(1)=='o' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='L'||input.LA(1)=='l' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='A'||input.LA(1)=='a' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='N'||input.LA(1)=='n' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "BOOLEAN"

    // $ANTLR start "IDENTIFIER"
    public final void mIDENTIFIER() throws RecognitionException {
        try {
            int _type = IDENTIFIER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:83:2: ( LETTER ( LETTER | DIGIT | IDPUNC )+ )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:83:4: LETTER ( LETTER | DIGIT | IDPUNC )+
            {
            mLETTER();
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:83:11: ( LETTER | DIGIT | IDPUNC )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0=='$'||LA1_0=='.'||(LA1_0>='0' && LA1_0<='9')||(LA1_0>='A' && LA1_0<='Z')||LA1_0=='_'||(LA1_0>='a' && LA1_0<='z')) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            	    {
            	    if ( input.LA(1)=='$'||input.LA(1)=='.'||(input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "IDENTIFIER"

    // $ANTLR start "QUOTED_STRING"
    public final void mQUOTED_STRING() throws RecognitionException {
        try {
            int _type = QUOTED_STRING;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:2: ( QUOTE ( LETTER | DIGIT | WHITESPACE )+ QUOTE )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:4: QUOTE ( LETTER | DIGIT | WHITESPACE )+ QUOTE
            {
            mQUOTE();
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:10: ( LETTER | DIGIT | WHITESPACE )+
            int cnt2=0;
            loop2:
            do {
                int alt2=4;
                switch ( input.LA(1) ) {
                case 'A':
                case 'B':
                case 'C':
                case 'D':
                case 'E':
                case 'F':
                case 'G':
                case 'H':
                case 'I':
                case 'J':
                case 'K':
                case 'L':
                case 'M':
                case 'N':
                case 'O':
                case 'P':
                case 'Q':
                case 'R':
                case 'S':
                case 'T':
                case 'U':
                case 'V':
                case 'W':
                case 'X':
                case 'Y':
                case 'Z':
                case 'a':
                case 'b':
                case 'c':
                case 'd':
                case 'e':
                case 'f':
                case 'g':
                case 'h':
                case 'i':
                case 'j':
                case 'k':
                case 'l':
                case 'm':
                case 'n':
                case 'o':
                case 'p':
                case 'q':
                case 'r':
                case 's':
                case 't':
                case 'u':
                case 'v':
                case 'w':
                case 'x':
                case 'y':
                case 'z':
                    {
                    alt2=1;
                    }
                    break;
                case '0':
                case '1':
                case '2':
                case '3':
                case '4':
                case '5':
                case '6':
                case '7':
                case '8':
                case '9':
                    {
                    alt2=2;
                    }
                    break;
                case '\t':
                case '\n':
                case '\f':
                case '\r':
                case ' ':
                    {
                    alt2=3;
                    }
                    break;

                }

                switch (alt2) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:12: LETTER
            	    {
            	    mLETTER();

            	    }
            	    break;
            	case 2 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:21: DIGIT
            	    {
            	    mDIGIT();

            	    }
            	    break;
            	case 3 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:86:29: WHITESPACE
            	    {
            	    mWHITESPACE();

            	    }
            	    break;

            	default :
            	    if ( cnt2 >= 1 ) break loop2;
                        EarlyExitException eee =
                            new EarlyExitException(2, input);
                        throw eee;
                }
                cnt2++;
            } while (true);

            mQUOTE();

            		//Strip the surrounding quotes
            		String txt = getText();
            		setText(txt.substring(1, txt.length() -1));


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "QUOTED_STRING"

    // $ANTLR start "WITHID"
    public final void mWITHID() throws RecognitionException {
        try {
            int _type = WITHID;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:93:9: ( WITH WHITESPACE ID )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:93:11: WITH WHITESPACE ID
            {
            mWITH();
            mWHITESPACE();
            mID();

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WITHID"

    // $ANTLR start "WITHCODEC"
    public final void mWITHCODEC() throws RecognitionException {
        try {
            int _type = WITHCODEC;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:96:2: ( WITH WHITESPACE CODEC )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:96:4: WITH WHITESPACE CODEC
            {
            mWITH();
            mWHITESPACE();
            mCODEC();

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WITHCODEC"

    // $ANTLR start "INTEGER"
    public final void mINTEGER() throws RecognitionException {
        try {
            int _type = INTEGER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:98:9: ( DIGIT ( DIGIT )* )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:98:11: DIGIT ( DIGIT )*
            {
            mDIGIT();
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:98:17: ( DIGIT )*
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>='0' && LA3_0<='9')) ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:98:17: DIGIT
            	    {
            	    mDIGIT();

            	    }
            	    break;

            	default :
            	    break loop3;
                }
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "INTEGER"

    // $ANTLR start "NUMBER"
    public final void mNUMBER() throws RecognitionException {
        try {
            int _type = NUMBER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:8: ( DIGIT ( DIGIT )* ( '.' ( DIGIT )+ )? )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:10: DIGIT ( DIGIT )* ( '.' ( DIGIT )+ )?
            {
            mDIGIT();
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:16: ( DIGIT )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( ((LA4_0>='0' && LA4_0<='9')) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:16: DIGIT
            	    {
            	    mDIGIT();

            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);

            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:23: ( '.' ( DIGIT )+ )?
            int alt6=2;
            int LA6_0 = input.LA(1);

            if ( (LA6_0=='.') ) {
                alt6=1;
            }
            switch (alt6) {
                case 1 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:24: '.' ( DIGIT )+
                    {
                    match('.');
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:28: ( DIGIT )+
                    int cnt5=0;
                    loop5:
                    do {
                        int alt5=2;
                        int LA5_0 = input.LA(1);

                        if ( ((LA5_0>='0' && LA5_0<='9')) ) {
                            alt5=1;
                        }


                        switch (alt5) {
                    	case 1 :
                    	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:99:28: DIGIT
                    	    {
                    	    mDIGIT();

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt5 >= 1 ) break loop5;
                                EarlyExitException eee =
                                    new EarlyExitException(5, input);
                                throw eee;
                        }
                        cnt5++;
                    } while (true);


                    }
                    break;

            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "NUMBER"

    // $ANTLR start "WHITESPACE"
    public final void mWHITESPACE() throws RecognitionException {
        try {
            int _type = WHITESPACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:101:12: ( ( '\\t' | ' ' | '\\r' | '\\n' | '\\u000C' )+ )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:101:14: ( '\\t' | ' ' | '\\r' | '\\n' | '\\u000C' )+
            {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:101:14: ( '\\t' | ' ' | '\\r' | '\\n' | '\\u000C' )+
            int cnt7=0;
            loop7:
            do {
                int alt7=2;
                int LA7_0 = input.LA(1);

                if ( ((LA7_0>='\t' && LA7_0<='\n')||(LA7_0>='\f' && LA7_0<='\r')||LA7_0==' ') ) {
                    alt7=1;
                }


                switch (alt7) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||(input.LA(1)>='\f' && input.LA(1)<='\r')||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;}


            	    }
            	    break;

            	default :
            	    if ( cnt7 >= 1 ) break loop7;
                        EarlyExitException eee =
                            new EarlyExitException(7, input);
                        throw eee;
                }
                cnt7++;
            } while (true);

             _channel = HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "WHITESPACE"

    // $ANTLR start "LINE_COMMENT"
    public final void mLINE_COMMENT() throws RecognitionException {
        try {
            int _type = LINE_COMMENT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:104:2: ( '//' ( . )* '\\n' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:104:4: '//' ( . )* '\\n'
            {
            match("//");

            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:104:9: ( . )*
            loop8:
            do {
                int alt8=2;
                int LA8_0 = input.LA(1);

                if ( (LA8_0=='\n') ) {
                    alt8=2;
                }
                else if ( ((LA8_0>='\u0000' && LA8_0<='\t')||(LA8_0>='\u000B' && LA8_0<='\uFFFF')) ) {
                    alt8=1;
                }


                switch (alt8) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:104:9: .
            	    {
            	    matchAny();

            	    }
            	    break;

            	default :
            	    break loop8;
                }
            } while (true);

            match('\n');
             _channel = HIDDEN;

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        }
    }
    // $ANTLR end "LINE_COMMENT"

    // $ANTLR start "WITH"
    public final void mWITH() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:106:15: ( ( 'w' | 'W' ) ( 'i' | 'I' ) ( 't' | 'T' ) ( 'h' | 'H' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:106:17: ( 'w' | 'W' ) ( 'i' | 'I' ) ( 't' | 'T' ) ( 'h' | 'H' )
            {
            if ( input.LA(1)=='W'||input.LA(1)=='w' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='T'||input.LA(1)=='t' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='H'||input.LA(1)=='h' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "WITH"

    // $ANTLR start "ID"
    public final void mID() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:107:13: ( ( 'i' | 'I' ) ( 'd' | 'D' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:107:15: ( 'i' | 'I' ) ( 'd' | 'D' )
            {
            if ( input.LA(1)=='I'||input.LA(1)=='i' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='D'||input.LA(1)=='d' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "ID"

    // $ANTLR start "CODEC"
    public final void mCODEC() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:108:16: ( ( 'c' | 'C' ) ( 'o' | 'O' ) ( 'd' | 'D' ) ( 'e' | 'E' ) ( 'c' | 'C' ) )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:108:18: ( 'c' | 'C' ) ( 'o' | 'O' ) ( 'd' | 'D' ) ( 'e' | 'E' ) ( 'c' | 'C' )
            {
            if ( input.LA(1)=='C'||input.LA(1)=='c' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='O'||input.LA(1)=='o' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='D'||input.LA(1)=='d' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}

            if ( input.LA(1)=='C'||input.LA(1)=='c' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "CODEC"

    // $ANTLR start "LETTER"
    public final void mLETTER() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:110:17: ( 'a' .. 'z' | 'A' .. 'Z' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "LETTER"

    // $ANTLR start "DIGIT"
    public final void mDIGIT() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:112:16: ( '0' .. '9' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:112:18: '0' .. '9'
            {
            matchRange('0','9');

            }

        }
        finally {
        }
    }
    // $ANTLR end "DIGIT"

    // $ANTLR start "IDPUNC"
    public final void mIDPUNC() throws RecognitionException {
        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:114:17: ( '.' | '_' | '$' )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            {
            if ( input.LA(1)=='$'||input.LA(1)=='.'||input.LA(1)=='_' ) {
                input.consume();

            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;}


            }

        }
        finally {
        }
    }
    // $ANTLR end "IDPUNC"

    public void mTokens() throws RecognitionException {
        // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:8: ( EQ | QUOTE | OPEN_BLOCK | CLOSE_BLOCK | OPEN_PAREN | CLOSE_PAREN | COMMA | SET | CREATE | NULL | STREAM | PARAMS | SINT8 | SINT16 | SINT32 | SINT64 | UINT8 | UINT16 | UINT32 | FLOAT | DOUBLE | BOOLEAN | IDENTIFIER | QUOTED_STRING | WITHID | WITHCODEC | INTEGER | NUMBER | WHITESPACE | LINE_COMMENT )
        int alt9=30;
        alt9 = dfa9.predict(input);
        switch (alt9) {
            case 1 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:10: EQ
                {
                mEQ();

                }
                break;
            case 2 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:13: QUOTE
                {
                mQUOTE();

                }
                break;
            case 3 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:19: OPEN_BLOCK
                {
                mOPEN_BLOCK();

                }
                break;
            case 4 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:30: CLOSE_BLOCK
                {
                mCLOSE_BLOCK();

                }
                break;
            case 5 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:42: OPEN_PAREN
                {
                mOPEN_PAREN();

                }
                break;
            case 6 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:53: CLOSE_PAREN
                {
                mCLOSE_PAREN();

                }
                break;
            case 7 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:65: COMMA
                {
                mCOMMA();

                }
                break;
            case 8 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:71: SET
                {
                mSET();

                }
                break;
            case 9 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:75: CREATE
                {
                mCREATE();

                }
                break;
            case 10 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:82: NULL
                {
                mNULL();

                }
                break;
            case 11 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:87: STREAM
                {
                mSTREAM();

                }
                break;
            case 12 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:94: PARAMS
                {
                mPARAMS();

                }
                break;
            case 13 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:101: SINT8
                {
                mSINT8();

                }
                break;
            case 14 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:107: SINT16
                {
                mSINT16();

                }
                break;
            case 15 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:114: SINT32
                {
                mSINT32();

                }
                break;
            case 16 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:121: SINT64
                {
                mSINT64();

                }
                break;
            case 17 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:128: UINT8
                {
                mUINT8();

                }
                break;
            case 18 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:134: UINT16
                {
                mUINT16();

                }
                break;
            case 19 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:141: UINT32
                {
                mUINT32();

                }
                break;
            case 20 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:148: FLOAT
                {
                mFLOAT();

                }
                break;
            case 21 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:154: DOUBLE
                {
                mDOUBLE();

                }
                break;
            case 22 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:161: BOOLEAN
                {
                mBOOLEAN();

                }
                break;
            case 23 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:169: IDENTIFIER
                {
                mIDENTIFIER();

                }
                break;
            case 24 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:180: QUOTED_STRING
                {
                mQUOTED_STRING();

                }
                break;
            case 25 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:194: WITHID
                {
                mWITHID();

                }
                break;
            case 26 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:201: WITHCODEC
                {
                mWITHCODEC();

                }
                break;
            case 27 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:211: INTEGER
                {
                mINTEGER();

                }
                break;
            case 28 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:219: NUMBER
                {
                mNUMBER();

                }
                break;
            case 29 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:226: WHITESPACE
                {
                mWHITESPACE();

                }
                break;
            case 30 :
                // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:1:237: LINE_COMMENT
                {
                mLINE_COMMENT();

                }
                break;

        }

    }


    protected DFA9 dfa9 = new DFA9(this);
    static final String DFA9_eotS =
        "\2\uffff\1\25\17\uffff\1\42\4\uffff\13\21\1\uffff\1\42\1\uffff"+
        "\1\60\12\21\1\uffff\3\21\1\101\7\21\1\113\4\21\1\uffff\1\21\1\121"+
        "\2\21\1\124\2\21\1\uffff\1\131\1\uffff\1\132\1\133\1\134\1\135\1"+
        "\136\1\uffff\1\137\1\140\1\uffff\1\141\1\21\13\uffff\1\143\1\uffff";
    static final String DFA9_eofS =
        "\144\uffff";
    static final String DFA9_minS =
        "\1\11\1\uffff\1\11\5\uffff\11\44\1\uffff\1\56\4\uffff\1\124\1\122"+
        "\1\116\1\105\1\114\1\122\1\116\1\117\1\125\1\117\1\124\1\uffff\1"+
        "\56\1\uffff\1\44\1\105\1\124\1\101\1\114\1\101\1\124\1\101\1\102"+
        "\1\114\1\110\1\uffff\1\101\1\61\1\124\1\44\1\115\1\61\1\124\1\114"+
        "\1\105\1\11\1\115\1\44\1\66\1\62\1\64\1\105\1\uffff\1\123\1\44\1"+
        "\66\1\62\1\44\1\105\1\101\1\11\1\44\1\uffff\5\44\1\uffff\2\44\1"+
        "\uffff\1\44\1\116\13\uffff\1\44\1\uffff";
    static final String DFA9_maxS =
        "\1\175\1\uffff\1\172\5\uffff\11\172\1\uffff\1\71\4\uffff\1\164"+
        "\1\162\1\156\1\145\1\154\1\162\1\156\1\157\1\165\1\157\1\164\1\uffff"+
        "\1\71\1\uffff\1\172\1\145\1\164\1\141\1\154\1\141\1\164\1\141\1"+
        "\142\1\154\1\150\1\uffff\1\141\1\70\1\164\1\172\1\155\1\70\1\164"+
        "\1\154\1\145\1\40\1\155\1\172\1\66\1\62\1\64\1\145\1\uffff\1\163"+
        "\1\172\1\66\1\62\1\172\1\145\1\141\1\151\1\172\1\uffff\5\172\1\uffff"+
        "\2\172\1\uffff\1\172\1\156\13\uffff\1\172\1\uffff";
    static final String DFA9_acceptS =
        "\1\uffff\1\1\1\uffff\1\3\1\4\1\5\1\6\1\7\11\uffff\1\27\1\uffff"+
        "\1\35\1\36\1\2\1\30\13\uffff\1\33\1\uffff\1\34\13\uffff\1\10\20"+
        "\uffff\1\12\11\uffff\1\15\5\uffff\1\21\2\uffff\1\24\2\uffff\1\32"+
        "\1\31\1\13\1\16\1\17\1\20\1\11\1\14\1\22\1\23\1\25\1\uffff\1\26";
    static final String DFA9_specialS =
        "\144\uffff}>";
    static final String[] DFA9_transitionS = {
            "\2\23\1\uffff\2\23\22\uffff\1\23\1\uffff\1\2\5\uffff\1\5\1"+
            "\6\2\uffff\1\7\2\uffff\1\24\12\22\3\uffff\1\1\3\uffff\1\21\1"+
            "\17\1\11\1\16\1\21\1\15\7\21\1\12\1\21\1\13\2\21\1\10\1\21\1"+
            "\14\1\21\1\20\3\21\6\uffff\1\21\1\17\1\11\1\16\1\21\1\15\7\21"+
            "\1\12\1\21\1\13\2\21\1\10\1\21\1\14\1\21\1\20\3\21\1\3\1\uffff"+
            "\1\4",
            "",
            "\2\26\1\uffff\2\26\22\uffff\1\26\17\uffff\12\26\7\uffff\32"+
            "\26\6\uffff\32\26",
            "",
            "",
            "",
            "",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\4\21\1\27\3\21\1"+
            "\31\12\21\1\30\6\21\4\uffff\1\21\1\uffff\4\21\1\27\3\21\1\31"+
            "\12\21\1\30\6\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\21\21\1\32\10\21"+
            "\4\uffff\1\21\1\uffff\21\21\1\32\10\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\24\21\1\33\5\21"+
            "\4\uffff\1\21\1\uffff\24\21\1\33\5\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\1\34\31\21\4\uffff"+
            "\1\21\1\uffff\1\34\31\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\10\21\1\35\21\21"+
            "\4\uffff\1\21\1\uffff\10\21\1\35\21\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\13\21\1\36\16\21"+
            "\4\uffff\1\21\1\uffff\13\21\1\36\16\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\16\21\1\37\13\21"+
            "\4\uffff\1\21\1\uffff\16\21\1\37\13\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\16\21\1\40\13\21"+
            "\4\uffff\1\21\1\uffff\16\21\1\40\13\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\10\21\1\41\21\21"+
            "\4\uffff\1\21\1\uffff\10\21\1\41\21\21",
            "",
            "\1\44\1\uffff\12\43",
            "",
            "",
            "",
            "",
            "\1\45\37\uffff\1\45",
            "\1\46\37\uffff\1\46",
            "\1\47\37\uffff\1\47",
            "\1\50\37\uffff\1\50",
            "\1\51\37\uffff\1\51",
            "\1\52\37\uffff\1\52",
            "\1\53\37\uffff\1\53",
            "\1\54\37\uffff\1\54",
            "\1\55\37\uffff\1\55",
            "\1\56\37\uffff\1\56",
            "\1\57\37\uffff\1\57",
            "",
            "\1\44\1\uffff\12\43",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\61\37\uffff\1\61",
            "\1\62\37\uffff\1\62",
            "\1\63\37\uffff\1\63",
            "\1\64\37\uffff\1\64",
            "\1\65\37\uffff\1\65",
            "\1\66\37\uffff\1\66",
            "\1\67\37\uffff\1\67",
            "\1\70\37\uffff\1\70",
            "\1\71\37\uffff\1\71",
            "\1\72\37\uffff\1\72",
            "",
            "\1\73\37\uffff\1\73",
            "\1\75\1\uffff\1\76\2\uffff\1\77\1\uffff\1\74",
            "\1\100\37\uffff\1\100",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\102\37\uffff\1\102",
            "\1\104\1\uffff\1\105\4\uffff\1\103",
            "\1\106\37\uffff\1\106",
            "\1\107\37\uffff\1\107",
            "\1\110\37\uffff\1\110",
            "\2\111\1\uffff\2\111\22\uffff\1\111",
            "\1\112\37\uffff\1\112",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\114",
            "\1\115",
            "\1\116",
            "\1\117\37\uffff\1\117",
            "",
            "\1\120\37\uffff\1\120",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\122",
            "\1\123",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\125\37\uffff\1\125",
            "\1\126\37\uffff\1\126",
            "\2\111\1\uffff\2\111\22\uffff\1\111\42\uffff\1\127\5\uffff"+
            "\1\130\31\uffff\1\127\5\uffff\1\130",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            "\1\142\37\uffff\1\142",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\21\11\uffff\1\21\1\uffff\12\21\7\uffff\32\21\4\uffff\1"+
            "\21\1\uffff\32\21",
            ""
    };

    static final short[] DFA9_eot = DFA.unpackEncodedString(DFA9_eotS);
    static final short[] DFA9_eof = DFA.unpackEncodedString(DFA9_eofS);
    static final char[] DFA9_min = DFA.unpackEncodedStringToUnsignedChars(DFA9_minS);
    static final char[] DFA9_max = DFA.unpackEncodedStringToUnsignedChars(DFA9_maxS);
    static final short[] DFA9_accept = DFA.unpackEncodedString(DFA9_acceptS);
    static final short[] DFA9_special = DFA.unpackEncodedString(DFA9_specialS);
    static final short[][] DFA9_transition;

    static {
        int numStates = DFA9_transitionS.length;
        DFA9_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA9_transition[i] = DFA.unpackEncodedString(DFA9_transitionS[i]);
        }
    }

    class DFA9 extends DFA {

        public DFA9(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 9;
            this.eot = DFA9_eot;
            this.eof = DFA9_eof;
            this.min = DFA9_min;
            this.max = DFA9_max;
            this.accept = DFA9_accept;
            this.special = DFA9_special;
            this.transition = DFA9_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( EQ | QUOTE | OPEN_BLOCK | CLOSE_BLOCK | OPEN_PAREN | CLOSE_PAREN | COMMA | SET | CREATE | NULL | STREAM | PARAMS | SINT8 | SINT16 | SINT32 | SINT64 | UINT8 | UINT16 | UINT32 | FLOAT | DOUBLE | BOOLEAN | IDENTIFIER | QUOTED_STRING | WITHID | WITHCODEC | INTEGER | NUMBER | WHITESPACE | LINE_COMMENT );";
        }
    }


}