/*
 * RealDB Project - Copyright (c) 2008-2010 by Jason Winnebeck
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program; if
 * not, see <http://www.gnu.org/licenses>.
 *
 * Additional permission under GNU GPL version 3 section 7
 *
 * If you modify this Program, or any covered work, by linking or combining it with JUnit (or a
 * modified version of that library), containing parts covered by the terms of Common Public
 * License, 1.0, the licensors of this Program grant you additional permission to convey the
 * resulting work.
 */

// $ANTLR 3.2 Sep 23, 2009 12:02:23 C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g 2010-02-22 22:43:33

package org.gillius.realdb.io.rdl;


import org.antlr.runtime.BaseRecognizer;
import org.antlr.runtime.BitSet;
import org.antlr.runtime.DFA;
import org.antlr.runtime.EarlyExitException;
import org.antlr.runtime.MismatchedSetException;
import org.antlr.runtime.NoViableAltException;
import org.antlr.runtime.Parser;
import org.antlr.runtime.ParserRuleReturnScope;
import org.antlr.runtime.RecognitionException;
import org.antlr.runtime.RecognizerSharedState;
import org.antlr.runtime.Token;
import org.antlr.runtime.TokenStream;

public class RDBDefinitionParser extends Parser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "EQ", "QUOTE", "OPEN_BLOCK", "CLOSE_BLOCK", "OPEN_PAREN", "CLOSE_PAREN", "COMMA", "SET", "IDENTIFIER", "CREATE", "STREAM", "WITHID", "INTEGER", "NULL", "WITHCODEC", "PARAMS", "SINT8", "SINT16", "SINT32", "SINT64", "UINT8", "UINT16", "UINT32", "FLOAT", "DOUBLE", "BOOLEAN", "NUMBER", "QUOTED_STRING", "LETTER", "DIGIT", "IDPUNC", "WHITESPACE", "WITH", "ID", "CODEC", "LINE_COMMENT"
    };
    public static final int INTEGER=16;
    public static final int SINT16=21;
    public static final int UINT8=24;
    public static final int LINE_COMMENT=39;
    public static final int LETTER=32;
    public static final int WITHCODEC=18;
    public static final int NULL=17;
    public static final int NUMBER=30;
    public static final int WHITESPACE=35;
    public static final int OPEN_PAREN=8;
    public static final int SET=11;
    public static final int FLOAT=27;
    public static final int IDPUNC=34;
    public static final int ID=37;
    public static final int EOF=-1;
    public static final int SINT8=20;
    public static final int QUOTE=5;
    public static final int CREATE=13;
    public static final int BOOLEAN=29;
    public static final int SINT64=23;
    public static final int CODEC=38;
    public static final int COMMA=10;
    public static final int IDENTIFIER=12;
    public static final int OPEN_BLOCK=6;
    public static final int UINT16=25;
    public static final int DOUBLE=28;
    public static final int QUOTED_STRING=31;
    public static final int CLOSE_PAREN=9;
    public static final int DIGIT=33;
    public static final int UINT32=26;
    public static final int EQ=4;
    public static final int SINT32=22;
    public static final int STREAM=14;
    public static final int WITHID=15;
    public static final int CLOSE_BLOCK=7;
    public static final int WITH=36;
    public static final int PARAMS=19;

    // delegates
    // delegators


        public RDBDefinitionParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public RDBDefinitionParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);

        }


    public String[] getTokenNames() { return RDBDefinitionParser.tokenNames; }
    public String getGrammarFileName() { return "C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g"; }


    private RDLFile file;

    public void emitErrorMessage( String err ) {
      file.reportError( err );
    }



    // $ANTLR start "statements"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:33:1: statements returns [RDLFile f] : ( setStatement | createStatement )+ EOF ;
    public final RDLFile statements() throws RecognitionException {
        RDLFile f = null;

        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:34:2: ( ( setStatement | createStatement )+ EOF )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:34:4: ( setStatement | createStatement )+ EOF
            {
            file=new RDLFile();
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:34:26: ( setStatement | createStatement )+
            int cnt1=0;
            loop1:
            do {
                int alt1=3;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==SET) ) {
                    alt1=1;
                }
                else if ( (LA1_0==CREATE) ) {
                    alt1=2;
                }


                switch (alt1) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:34:28: setStatement
            	    {
            	    pushFollow(FOLLOW_setStatement_in_statements111);
            	    setStatement();

            	    state._fsp--;


            	    }
            	    break;
            	case 2 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:34:43: createStatement
            	    {
            	    pushFollow(FOLLOW_createStatement_in_statements115);
            	    createStatement();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);

            match(input,EOF,FOLLOW_EOF_in_statements120);
            f = file;

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return f;
    }
    // $ANTLR end "statements"


    // $ANTLR start "setStatement"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:36:1: setStatement : SET name= IDENTIFIER EQ value ;
    public final void setStatement() throws RecognitionException {
        Token name=null;
        RDBDefinitionParser.value_return value1 = null;


        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:37:2: ( SET name= IDENTIFIER EQ value )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:37:4: SET name= IDENTIFIER EQ value
            {
            match(input,SET,FOLLOW_SET_in_setStatement131);
            name=(Token)match(input,IDENTIFIER,FOLLOW_IDENTIFIER_in_setStatement135);
            match(input,EQ,FOLLOW_EQ_in_setStatement137);
            pushFollow(FOLLOW_value_in_setStatement139);
            value1=value();

            state._fsp--;

            file.addOption( (name!=null?name.getText():null), (value1!=null?input.toString(value1.start,value1.stop):null) );

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "setStatement"


    // $ANTLR start "createStatement"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:41:1: createStatement : CREATE STREAM name= string WITHID id= INTEGER OPEN_BLOCK ( recordElement COMMA )* recordElement CLOSE_BLOCK ;
    public final void createStatement() throws RecognitionException {
        Token id=null;
        RDBDefinitionParser.string_return name = null;


        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:42:2: ( CREATE STREAM name= string WITHID id= INTEGER OPEN_BLOCK ( recordElement COMMA )* recordElement CLOSE_BLOCK )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:42:4: CREATE STREAM name= string WITHID id= INTEGER OPEN_BLOCK ( recordElement COMMA )* recordElement CLOSE_BLOCK
            {
            match(input,CREATE,FOLLOW_CREATE_in_createStatement153);
            match(input,STREAM,FOLLOW_STREAM_in_createStatement155);
            pushFollow(FOLLOW_string_in_createStatement159);
            name=string();

            state._fsp--;

            match(input,WITHID,FOLLOW_WITHID_in_createStatement161);
            id=(Token)match(input,INTEGER,FOLLOW_INTEGER_in_createStatement165);
            match(input,OPEN_BLOCK,FOLLOW_OPEN_BLOCK_in_createStatement167);
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:42:59: ( recordElement COMMA )*
            loop2:
            do {
                int alt2=2;
                alt2 = dfa2.predict(input);
                switch (alt2) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:42:60: recordElement COMMA
            	    {
            	    pushFollow(FOLLOW_recordElement_in_createStatement170);
            	    recordElement();

            	    state._fsp--;

            	    match(input,COMMA,FOLLOW_COMMA_in_createStatement172);

            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            pushFollow(FOLLOW_recordElement_in_createStatement176);
            recordElement();

            state._fsp--;

            match(input,CLOSE_BLOCK,FOLLOW_CLOSE_BLOCK_in_createStatement178);
            file.addStream( (name!=null?input.toString(name.start,name.stop):null), (id!=null?id.getText():null) );

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "createStatement"


    // $ANTLR start "recordElement"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:45:1: recordElement : name= IDENTIFIER type (n= NULL )? ( WITHCODEC codec= IDENTIFIER ( params )? )? ;
    public final void recordElement() throws RecognitionException {
        Token name=null;
        Token n=null;
        Token codec=null;
        RDBDefinitionParser.type_return type2 = null;


        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:2: (name= IDENTIFIER type (n= NULL )? ( WITHCODEC codec= IDENTIFIER ( params )? )? )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:4: name= IDENTIFIER type (n= NULL )? ( WITHCODEC codec= IDENTIFIER ( params )? )?
            {
            name=(Token)match(input,IDENTIFIER,FOLLOW_IDENTIFIER_in_recordElement194);
            pushFollow(FOLLOW_type_in_recordElement196);
            type2=type();

            state._fsp--;

            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:26: (n= NULL )?
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0==NULL) ) {
                alt3=1;
            }
            switch (alt3) {
                case 1 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:26: n= NULL
                    {
                    n=(Token)match(input,NULL,FOLLOW_NULL_in_recordElement200);

                    }
                    break;

            }

            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:33: ( WITHCODEC codec= IDENTIFIER ( params )? )?
            int alt5=2;
            int LA5_0 = input.LA(1);

            if ( (LA5_0==WITHCODEC) ) {
                alt5=1;
            }
            switch (alt5) {
                case 1 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:34: WITHCODEC codec= IDENTIFIER ( params )?
                    {
                    match(input,WITHCODEC,FOLLOW_WITHCODEC_in_recordElement204);
                    codec=(Token)match(input,IDENTIFIER,FOLLOW_IDENTIFIER_in_recordElement208);
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:61: ( params )?
                    int alt4=2;
                    int LA4_0 = input.LA(1);

                    if ( (LA4_0==PARAMS) ) {
                        alt4=1;
                    }
                    switch (alt4) {
                        case 1 :
                            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:46:61: params
                            {
                            pushFollow(FOLLOW_params_in_recordElement210);
                            params();

                            state._fsp--;


                            }
                            break;

                    }


                    }
                    break;

            }

            file.addElement( (name!=null?name.getText():null), (type2!=null?input.toString(type2.start,type2.stop):null), n != null, (codec!=null?codec.getText():null) );

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "recordElement"


    // $ANTLR start "params"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:49:1: params : PARAMS OPEN_PAREN (name= IDENTIFIER EQ value )+ CLOSE_PAREN ;
    public final void params() throws RecognitionException {
        Token name=null;
        RDBDefinitionParser.value_return value3 = null;


        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:50:2: ( PARAMS OPEN_PAREN (name= IDENTIFIER EQ value )+ CLOSE_PAREN )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:50:4: PARAMS OPEN_PAREN (name= IDENTIFIER EQ value )+ CLOSE_PAREN
            {
            match(input,PARAMS,FOLLOW_PARAMS_in_params226);
            match(input,OPEN_PAREN,FOLLOW_OPEN_PAREN_in_params228);
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:50:22: (name= IDENTIFIER EQ value )+
            int cnt6=0;
            loop6:
            do {
                int alt6=2;
                int LA6_0 = input.LA(1);

                if ( (LA6_0==IDENTIFIER) ) {
                    alt6=1;
                }


                switch (alt6) {
            	case 1 :
            	    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:50:23: name= IDENTIFIER EQ value
            	    {
            	    name=(Token)match(input,IDENTIFIER,FOLLOW_IDENTIFIER_in_params233);
            	    match(input,EQ,FOLLOW_EQ_in_params235);
            	    pushFollow(FOLLOW_value_in_params237);
            	    value3=value();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    if ( cnt6 >= 1 ) break loop6;
                        EarlyExitException eee =
                            new EarlyExitException(6, input);
                        throw eee;
                }
                cnt6++;
            } while (true);

            match(input,CLOSE_PAREN,FOLLOW_CLOSE_PAREN_in_params241);
            file.addCodecParam( (name!=null?name.getText():null), (value3!=null?input.toString(value3.start,value3.stop):null) );

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "params"

    public static class type_return extends ParserRuleReturnScope {
    };

    // $ANTLR start "type"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:53:1: type : ( SINT8 | SINT16 | SINT32 | SINT64 | UINT8 | UINT16 | UINT32 | FLOAT | DOUBLE | BOOLEAN );
    public final RDBDefinitionParser.type_return type() throws RecognitionException {
        RDBDefinitionParser.type_return retval = new RDBDefinitionParser.type_return();
        retval.start = input.LT(1);

        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:53:6: ( SINT8 | SINT16 | SINT32 | SINT64 | UINT8 | UINT16 | UINT32 | FLOAT | DOUBLE | BOOLEAN )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            {
            if ( (input.LA(1)>=SINT8 && input.LA(1)<=BOOLEAN) ) {
                input.consume();
                state.errorRecovery=false;
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }


            }

            retval.stop = input.LT(-1);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "type"

    public static class value_return extends ParserRuleReturnScope {
    };

    // $ANTLR start "value"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:55:1: value : ( string | INTEGER | NUMBER );
    public final RDBDefinitionParser.value_return value() throws RecognitionException {
        RDBDefinitionParser.value_return retval = new RDBDefinitionParser.value_return();
        retval.start = input.LT(1);

        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:55:7: ( string | INTEGER | NUMBER )
            int alt7=3;
            switch ( input.LA(1) ) {
            case IDENTIFIER:
            case QUOTED_STRING:
                {
                alt7=1;
                }
                break;
            case INTEGER:
                {
                alt7=2;
                }
                break;
            case NUMBER:
                {
                alt7=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 7, 0, input);

                throw nvae;
            }

            switch (alt7) {
                case 1 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:55:9: string
                    {
                    pushFollow(FOLLOW_string_in_value299);
                    string();

                    state._fsp--;


                    }
                    break;
                case 2 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:55:18: INTEGER
                    {
                    match(input,INTEGER,FOLLOW_INTEGER_in_value303);

                    }
                    break;
                case 3 :
                    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:55:28: NUMBER
                    {
                    match(input,NUMBER,FOLLOW_NUMBER_in_value307);

                    }
                    break;

            }
            retval.stop = input.LT(-1);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "value"

    public static class string_return extends ParserRuleReturnScope {
    };

    // $ANTLR start "string"
    // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:57:1: string : ( QUOTED_STRING | IDENTIFIER );
    public final RDBDefinitionParser.string_return string() throws RecognitionException {
        RDBDefinitionParser.string_return retval = new RDBDefinitionParser.string_return();
        retval.start = input.LT(1);

        try {
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:57:8: ( QUOTED_STRING | IDENTIFIER )
            // C:\\Java Projects\\realdb\\grammars\\RDBDefinition.g:
            {
            if ( input.LA(1)==IDENTIFIER||input.LA(1)==QUOTED_STRING ) {
                input.consume();
                state.errorRecovery=false;
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                throw mse;
            }


            }

            retval.stop = input.LT(-1);

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return retval;
    }
    // $ANTLR end "string"

    // Delegated rules


    protected DFA2 dfa2 = new DFA2(this);
    static final String DFA2_eotS =
        "\20\uffff";
    static final String DFA2_eofS =
        "\20\uffff";
    static final String DFA2_minS =
        "\1\14\1\24\2\7\1\14\2\uffff\1\7\1\10\1\14\1\4\1\14\3\11\1\7";
    static final String DFA2_maxS =
        "\1\14\1\35\2\22\1\14\2\uffff\1\23\1\10\1\14\1\4\1\37\3\14\1\12";
    static final String DFA2_acceptS =
        "\5\uffff\1\2\1\1\11\uffff";
    static final String DFA2_specialS =
        "\20\uffff}>";
    static final String[] DFA2_transitionS = {
            "\1\1",
            "\12\2",
            "\1\5\2\uffff\1\6\6\uffff\1\3\1\4",
            "\1\5\2\uffff\1\6\7\uffff\1\4",
            "\1\7",
            "",
            "",
            "\1\5\2\uffff\1\6\10\uffff\1\10",
            "\1\11",
            "\1\12",
            "\1\13",
            "\1\14\3\uffff\1\15\15\uffff\1\16\1\14",
            "\1\17\2\uffff\1\12",
            "\1\17\2\uffff\1\12",
            "\1\17\2\uffff\1\12",
            "\1\5\2\uffff\1\6"
    };

    static final short[] DFA2_eot = DFA.unpackEncodedString(DFA2_eotS);
    static final short[] DFA2_eof = DFA.unpackEncodedString(DFA2_eofS);
    static final char[] DFA2_min = DFA.unpackEncodedStringToUnsignedChars(DFA2_minS);
    static final char[] DFA2_max = DFA.unpackEncodedStringToUnsignedChars(DFA2_maxS);
    static final short[] DFA2_accept = DFA.unpackEncodedString(DFA2_acceptS);
    static final short[] DFA2_special = DFA.unpackEncodedString(DFA2_specialS);
    static final short[][] DFA2_transition;

    static {
        int numStates = DFA2_transitionS.length;
        DFA2_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA2_transition[i] = DFA.unpackEncodedString(DFA2_transitionS[i]);
        }
    }

    class DFA2 extends DFA {

        public DFA2(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 2;
            this.eot = DFA2_eot;
            this.eof = DFA2_eof;
            this.min = DFA2_min;
            this.max = DFA2_max;
            this.accept = DFA2_accept;
            this.special = DFA2_special;
            this.transition = DFA2_transition;
        }
        public String getDescription() {
            return "()* loopback of 42:59: ( recordElement COMMA )*";
        }
    }


    public static final BitSet FOLLOW_setStatement_in_statements111 = new BitSet(new long[]{0x0000000000002800L});
    public static final BitSet FOLLOW_createStatement_in_statements115 = new BitSet(new long[]{0x0000000000002800L});
    public static final BitSet FOLLOW_EOF_in_statements120 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_SET_in_setStatement131 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_IDENTIFIER_in_setStatement135 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_EQ_in_setStatement137 = new BitSet(new long[]{0x00000000C0011000L});
    public static final BitSet FOLLOW_value_in_setStatement139 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_CREATE_in_createStatement153 = new BitSet(new long[]{0x0000000000004000L});
    public static final BitSet FOLLOW_STREAM_in_createStatement155 = new BitSet(new long[]{0x0000000080001000L});
    public static final BitSet FOLLOW_string_in_createStatement159 = new BitSet(new long[]{0x0000000000008000L});
    public static final BitSet FOLLOW_WITHID_in_createStatement161 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_INTEGER_in_createStatement165 = new BitSet(new long[]{0x0000000000000040L});
    public static final BitSet FOLLOW_OPEN_BLOCK_in_createStatement167 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_recordElement_in_createStatement170 = new BitSet(new long[]{0x0000000000000400L});
    public static final BitSet FOLLOW_COMMA_in_createStatement172 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_recordElement_in_createStatement176 = new BitSet(new long[]{0x0000000000000080L});
    public static final BitSet FOLLOW_CLOSE_BLOCK_in_createStatement178 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_IDENTIFIER_in_recordElement194 = new BitSet(new long[]{0x000000003FF00000L});
    public static final BitSet FOLLOW_type_in_recordElement196 = new BitSet(new long[]{0x0000000000060002L});
    public static final BitSet FOLLOW_NULL_in_recordElement200 = new BitSet(new long[]{0x0000000000040002L});
    public static final BitSet FOLLOW_WITHCODEC_in_recordElement204 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_IDENTIFIER_in_recordElement208 = new BitSet(new long[]{0x0000000000080002L});
    public static final BitSet FOLLOW_params_in_recordElement210 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_PARAMS_in_params226 = new BitSet(new long[]{0x0000000000000100L});
    public static final BitSet FOLLOW_OPEN_PAREN_in_params228 = new BitSet(new long[]{0x0000000000001000L});
    public static final BitSet FOLLOW_IDENTIFIER_in_params233 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_EQ_in_params235 = new BitSet(new long[]{0x00000000C0011000L});
    public static final BitSet FOLLOW_value_in_params237 = new BitSet(new long[]{0x0000000000001200L});
    public static final BitSet FOLLOW_CLOSE_PAREN_in_params241 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_type0 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_string_in_value299 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_INTEGER_in_value303 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_NUMBER_in_value307 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_set_in_string0 = new BitSet(new long[]{0x0000000000000002L});

}